Subject: Re: bug#46349: 27.1; Spaces are added at wrong places when typing in Sinhala Unicode.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Feb 2021 19:18:13 +0200

> From: Lohan Gunaweera <[email-masked]>
> Date: Sat, 6 Feb 2021 20:08:11 +0530
> 
> When you type Sinhala using Uicode characterss, spaces are added at
> wrong places. Words get serepated at wrong places as a result.
> 
> How to reproduce with emacs
> 
> 1) Open emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
> 2) Switch to desired input method for Sinhala; Sinhalese : ibus
> (Wijesekera (m17n))
> 3) Type keys isxy, NdIdj.
> 4) Observe what happens when you hit space at the end of the first word.
> And when insert a space after full-stop.
> 
> Actual result : සිංහ ලභාෂාව .
> 
> Expected result : සිංහල භාෂාව.
> 
> This adds a space before the last character of the first word, not where
> you want the space to be. Same happens when you enter a space after a
> full-stop. It inserts the space BEFORE the full-stop.

After you enter these characters, if you type "C-h l" (that's the
letter ell, not the digit one), what does Emacs show in the *Help*
buffer?

I don't have this input method installed, but if I just insert
manually the codepoints you show, I see no problems with the space
character insertion.  So it could be a problem with the input method?